Фотогалереи

Помощь при использовании сайта

Ошибка сборки из исходников zabbix-proxy

Доброго времени суток!

Собирал тут давеча заббикс прокси из сорцов и немного залип на

configure: error: LIBXML2 library not found

Говорит якобы нет LIBXML2 нужной для сборки. Ну я как обычно подумал, что не хватает просто libxml2-dev. Установил его, но ошибка та же. Исключил из configure --with-libxml2
но теперь оно заругалось

checking for zlib support... no
configure: error: Unable to use zlib (zlib check failed)

Как говорил Козьма Прутков, зрить надо в корень (root)

Чуть выше configure ругался на отсутствие pkg-config, на которое я не обратил внимание.

checking for pkg-config... no

Поставил его

 aptitude install pkg-config

Теперь и libxml2 появился и zlib.

0
Голосов пока нет
Ваша оценка: Нет